SLGUI(1)

NAME
slgui - SooperLooper user interface

SYNOPSIS
slgui [-h] [-V] [-l <num>] [-c <num>] [-t <num>] [-H <str>] [-P <num>] [-m <str>] [-L <str>] [-s] [-N] [-E <str>] [-J <str>] [-S <str>] [-T] [-n]

DESCRIPTION
SooperLooper is a live looping sampler capable of immediate loop recording, overdubbing, multiplying, reversing and more. It allows for multiple simultaneous multi-channel loops limited only by your computer's available memory.

OPTIONS

-h, --help
    show this help

-V, --version
    show version only

-l, --loopcount=<num>
    number of loopers to create (default is 1)

-c, --channels=<num>
    channel count for each looper (default is 2)

-t, --looptime=<num>
    number of seconds of loop memory per channel

-H, --connect-host=<str>
    connect to sooperlooper engine on given host (default is localhost)

-P, --connect-port=<num>
    connect to sooperlooper engine on given port (default is 9951)

-m, --load-midi-binding=<str> loads midi binding from file

-L, --load-session=<str>
    load session from file

-s, --force-spawn
    force the execution of a new engine

-N, --never-spawn
    never start a new engine

-E, --exec-name=<str>
    use name as binary to execute as sooperlooper engine (default is sooperlooper)

-J, --jack-name=<str>
    jack client name, default is sooperlooper_1

-S, --jack-server-name=<str>
    specify JACK server name

-T, --stay-on-top
    keep main window on top of other applications

-n, --never-timeout
    Never timeout if an engine stops responding

SEE ALSO

slconsole(1), slregister(1), sooperlooper(1)

AUTHORS
This manual page was written by Alessio Treglia <quadrispro@ubuntu.com> for the Debian project (and may be used by others).